org.deidentifier.arx.io

## Class ImportConfigurationJDBC

- java.lang.Object
- - org.deidentifier.arx.io.ImportConfiguration
  - - org.deidentifier.arx.io.ImportConfigurationJDBC

    public class ImportConfigurationJDBC
    extends ImportConfiguration

Configuration describing a JDBC source.

Author:
  Karol Babioch, Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ImportConfigurationJDBC(java.sql.Connection connection, java.lang.String table)` Creates a new instance of this object.
`ImportConfigurationJDBC(java.lang.String url, java.lang.String table)` Creates a new instance of this object.
`ImportConfigurationJDBC(java.lang.String url, java.lang.String user, java.lang.String password, java.lang.String table)` Creates a new instance of this object.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addColumn(ImportColumn column)` Adds a single column to import from This makes sure that only `ImportColumnJDBC` can be added, otherwise an `IllegalArgumentException` will be thrown.
`void` `close()` Closes any underlying JDBC connection that may have either been created by ARX or passed during construction.

### Methods inherited from class org.deidentifier.arx.io.ImportConfiguration

`getColumns, isOptimizedLoading, setOptimizedLoading`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportConfigurationJDBC

    public ImportConfigurationJDBC(java.sql.Connection connection,
                                   java.lang.String table)

Creates a new instance of this object.

Parameters:
  `connection` - `#setConnection(Connection)`
  `table` - `#setTable(String)`

#### ImportConfigurationJDBC

    public ImportConfigurationJDBC(java.lang.String url,
                                   java.lang.String table)
                            throws java.sql.SQLException

Creates a new instance of this object.

Parameters:
  `url` -
  `table` - `#setTable(String)`
Throws:
  `java.sql.SQLException`

#### ImportConfigurationJDBC

    public ImportConfigurationJDBC(java.lang.String url,
                                   java.lang.String user,
                                   java.lang.String password,
                                   java.lang.String table)
                            throws java.sql.SQLException

Creates a new instance of this object.

Parameters:
  `url` -
  `user` -
  `password` -
  `table` - `#setTable(String)`
Throws:
  `java.sql.SQLException`

### Method Detail

#### addColumn

    public void addColumn(ImportColumn column)

Adds a single column to import from This makes sure that only `ImportColumnJDBC` can be added, otherwise an `IllegalArgumentException` will be thrown.

Specified by:
  `addColumn` in class `ImportConfiguration`
Parameters:
  `column` - A single column to import from, `ImportColumnJDBC`

#### close

    public void close()

Closes any underlying JDBC connection that may have either been created by ARX or passed during construction.